	.586P
	.MODEL	FLAT, SYSCALL
	PUBLIC	foo_array_bounds_error, foo_out_of_memory, die, _tal_exit
	EXTERN	C exit :NEAR
	.CODE
	
die:	PUSHD	2
	CALL	exit
l1:	JMP	l1

foo_array_bounds_error:		
foo_out_of_memory:
	jmp	die

_tal_exit:
	CALL	exit
	JMP	l1

	END
